org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic

## Class SubArrayVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.SubArrayVisitor

    public class SubArrayVisitor
    extends org.objectweb.asm.AnnotationVisitor

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`SubArrayVisitor(org.apache.felix.ipojo.metadata.Element elem, String name)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visit(String name, Object value)` Visit a 'simple' element of the visited array.
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String name, String desc)` Visit an annotation element of the visited array.
`void` `visitEnd()` End of the visit.
`void` `visitEnum(String name, String desc, String value)` Visits an enumeration attribute.

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubArrayVisitor

    public SubArrayVisitor(org.apache.felix.ipojo.metadata.Element elem,
                           String name)

Constructor.

Parameters:
  `elem` - : element element.
  `name` - : attribute name.

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Visit a 'simple' element of the visited array.

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - : null
  `value` - : element value.
See Also:
  `AnnotationVisitor.visit(String, Object)`

#### visitEnum

    public void visitEnum(String name,
                          String desc,
                          String value)

Visits an enumeration attribute.

Overrides:
  `visitEnum` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - the attribute name
  `desc` - the enumeration descriptor
  `value` - the attribute value

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String name,
                                                               String desc)

Visit an annotation element of the visited array.

Overrides:
  `visitAnnotation` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - : null
  `desc` - : annotation to visit
Returns:
  the visitor which will visit the annotation
See Also:
  `AnnotationVisitor.visitAnnotation(String, String)`

#### visitEnd

    public void visitEnd()

End of the visit.

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`
See Also:
  `AnnotationVisitor.visitEnd()`